<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="WARN">
   <Appenders>
    
     <RollingFile name="XSERVICES" fileName="c:/temp/xservices.log"
                 filePattern="logs/$${date:yyyy-MM}/app-%d{MM-dd-yyyy}-%i.log.gz">
      <PatternLayout>
        <Pattern>%d %p %c{1.} [%t] %m%n</Pattern>
      </PatternLayout>
      <Policies>
        <TimeBasedTriggeringPolicy />
        <SizeBasedTriggeringPolicy size="10 MB"/>
      </Policies>
    </RollingFile>
  </Appenders>
  
  <Loggers>
    <Logger name="net.brutex.xservices" level="debug" additivity="false">
      <AppenderRef ref="XSERVICES"/>
    </Logger>
    
    <Logger name="org.springframework.web" level="debug">
    	<AppenderRef ref="XSERVICES"/>
    </Logger>
  </Loggers>
</Configuration>